%define __python /usr/bin/python2.7
%global pyver 27
%global pybindir /usr/lib/python2.7/bin
#global pyver %{nil}

%global pypi_name mistune

Name:           python%{pyver}-%{pypi_name}
Version:        0.4
Release:        1%{?dist}
Summary:        The fastest markdown parser in pure Python

License:        BSD
URL:            https://github.com/lepture/mistune
Source0:        https://pypi.python.org/packages/source/m/mistune/mistune-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python%{pyver}-devel python%{pyver}-setuptools

%description
The fastest markdown parser in pure Python/

%prep
%setup -qn %{pypi_name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc README.rst LICENSE
%{python_sitelib}/%{pypi_name}.py*
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Oct 06 2014 Josko Plazonic <plazonic@princeton.edu> - 0.4-1
- initial build
